> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Tight account

> Create a Tight account for a user of Tight's Partner's app; the response contains an OAuth 2.0 access token, which can can be used to GET/POST directly into the user's new account



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v5/auth/account
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/auth/account:
    post:
      tags:
        - Authentication
      summary: Create a Tight account
      description: >-
        Create a Tight account for a user of Tight's Partner's app; the response
        contains an OAuth 2.0 access token, which can can be used to GET/POST
        directly into the user's new account
      operationId: postPartnerAccount
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/PartnerNewUserAccount'
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAuth2RetValV5'
components:
  schemas:
    PartnerNewUserAccount:
      required:
        - client_id
        - client_secret
        - userId
      type: object
      properties:
        userId:
          type: string
          description: Id of the user in your DB
          example: fake_userId
        email:
          type: string
          description: Email address for the user
          example: jane@mycompany.com
        firstName:
          type: string
          description: First name for the user
          example: Jane
        lastName:
          type: string
          description: Last name for the user
          example: Doe
        countryCode:
          type: string
          description: Country Code representing where the user is located
          example: USA
          enum:
            - USA
            - CAN
        bizName:
          type: string
          description: Business name for the user's primary line of work
          example: Better Homes and Gardens
        phoneWork:
          type: string
          description: The user's phone number
        address1:
          type: string
          description: First line of the user's address
        address2:
          type: string
          description: Second line of the user's address
        city:
          type: string
          description: City of the user's address
        state:
          type: string
          description: State/Province of the user's address
        zip:
          type: string
          description: Zip/Postal code of the user's address
        bizType:
          type: string
          description: Business Type for the user
          example: REAL_ESTATE_AGENT
          enum:
            - DRIVER
            - REAL_ESTATE_AGENT
            - INSURANCE_AGENT
            - FREELANCER
            - HOST
            - RETAIL
            - E_COMMERCE
            - SALES
            - CONSULTANT
            - OTHER
        entityType:
          type: string
          description: Type of entity belonging to this user
          enum:
            - SOLE_PROPRIETORSHIP
            - LLP
            - LLC
            - S_CORP
            - C_CORP
        accountingMethod:
          type: string
          description: Accounting method used by the user
          enum:
            - CASH
            - ACCRUAL
        language:
          type: string
          description: Language used by the user
          example: EN
          enum:
            - EN
            - ES
            - FR
            - ZH
            - ID
        userRole:
          type: string
          description: User role of user
          example: OWNER
          enum:
            - OWNER
            - READ_ONLY
        availableFeatures:
          $ref: '#/components/schemas/ApiAccountParamFeaturesSamplePostData'
        mcc:
          type: integer
          description: Merchant Category Code (MCC) for the business
          format: int64
          example: 5812
        naics:
          type: integer
          description: >-
            North American Industry Classification System (NAICS) code for the
            business
          format: int64
          example: 722511
        federalTaxIdInfo:
          $ref: '#/components/schemas/FederalTaxIdInfo'
        bankInfo:
          $ref: '#/components/schemas/BankInfo'
        client_id:
          type: string
          description: The client_id of the Tight Partner
          example: fake_client_id
        client_secret:
          type: string
          description: The client_secret of the Tight Partner
          example: fake_client_secret
      description: PartnerNewUserAccount APIParam
      xml:
        name: PartnerNewUserAccount
    OAuth2RetValV5:
      type: object
      properties:
        result:
          type: string
          example: SUCCESS
          enum:
            - SUCCESS
            - INVALID_CREDENTIALS
            - SUCCESS_TEMP_PASSWORD
            - SUCCESS_PASSWORD_EXPIRED
            - SUCCESS_HAS_NO_PASSWORD
            - FAILURE
            - SUCCESS_UPDATED
            - INVALID_PLATFORM
        oAuth:
          $ref: '#/components/schemas/OAuth2RetValV2'
        error:
          type: object
          description: Description of errors
    ApiAccountParamFeaturesSamplePostData:
      type: object
      properties:
        bankTransactions:
          type: boolean
          description: >-
            Whether bank transactions are enabled for this user. Defaults to
            true.
          example: true
        bills:
          type: boolean
          description: Whether bills are enabled for this user. Defaults to true.
          example: true
        bookkeeping:
          type: boolean
          description: Whether bookkeeping is enabled for this user. Defaults to true.
          example: true
        imports:
          type: boolean
          description: Whether imports are enabled for this user. Defaults to true.
          example: true
        invoicing:
          type: boolean
          description: Whether invoicing is enabled for this user. Defaults to true.
          example: true
        payroll:
          type: boolean
          description: Whether payroll is enabled for this user. Defaults to true.
          example: true
        reporting:
          type: boolean
          description: >-
            Whether financial reporting is enabled for this user. Defaults to
            true.
          example: true
        taxes:
          type: boolean
          description: Whether tax estimates are enabled for this user. Defaults to true.
          example: true
        timeTracking:
          type: boolean
          description: Whether time tracking is enabled for this user. Defaults to true.
          example: true
      description: Available features for the user
      xml:
        name: ApiAccountParamFeaturesSample
    FederalTaxIdInfo:
      type: object
      properties:
        type:
          type: string
          description: Type of federal tax identification number
          example: EIN
          enum:
            - SSN
            - EIN
            - ITIN
            - ATIN
            - PTIN
            - SSN
            - EIN
            - ITIN
            - ATIN
            - PTIN
        number:
          type: string
          description: Federal tax identification number
          example: '123456789'
      description: Federal tax id info for the user
    BankInfo:
      type: object
      properties:
        routingNumber:
          type: string
          description: Bank routing number (must be a valid bank routing number)
          example: '111000025'
        accountNumber:
          type: string
          description: Bank account number
          example: '9876543210'
      description: Bank info for the user
    OAuth2RetValV2:
      type: object
      properties:
        access_token:
          type: string
          example: >-
            00f6b2b68eb9459eab681d19aa86c6154e225068f3074d1d9b639316d5380a4c.91d620872c3b438ba33f4baaca124624
        refresh_token:
          type: string
          example: >-
            7369c0ee82194721ac6f633ec16206f348680736e80e4aacb85d4fbce0ee9669.56b43c61141541dc858dd8613959389a
        expires_in:
          type: integer
          format: int32
          example: 7776000
        created_at:
          type: integer
          format: int64
          example: 1599065168
        scope:
          type: string
          example: token
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````